classification
Title: Added test coverage for calendar print functions
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, madison.may, python-dev
Priority: normal Keywords: patch

Created on 2013-08-27 19:19 by madison.may, last changed 2013-09-15 01:08 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
calendar_print.diff madison.may, 2013-08-27 19:19 review
calendar_print_v2.diff madison.may, 2013-09-05 12:47 Updated to use test.support.captured_stdout() review
Messages (5)
msg196311 - (view) Author: Madison May (madison.may) * Date: 2013-08-27 19:19
Just redirected stdout to a string io object unittest.mock.patch() to add basic test coverage for calendar.py print functions (TextCalendary.prweek(), TextCalendar.prmonth(), TextCalendar.pryear(), and format()).
msg196312 - (view) Author: Madison May (madison.may) * Date: 2013-08-27 19:25
"...to a string io object USING unittest.mock.patch()..."
msg196994 - (view) Author: Madison May (madison.may) * Date: 2013-09-05 12:47
At Ezio suggestion, I've updated the patch to use test.support.captured_stdout().
msg197739 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-15 01:07
New changeset 442e23bbec48 by Ezio Melotti in branch '3.3':
#18856: improve test coverage of the calendar module.  Patch by Madison May.
http://hg.python.org/cpython/rev/442e23bbec48

New changeset 81da2ed0c563 by Ezio Melotti in branch 'default':
#18856: merge with 3.3.
http://hg.python.org/cpython/rev/81da2ed0c563
msg197740 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-09-15 01:08
Fixed, thanks for the patch!
History
Date User Action Args
2013-09-15 01:08:13ezio.melottisetstatus: open -> closed
versions: - Python 2.7
messages: + msg197740

assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2013-09-15 01:07:28python-devsetnosy: + python-dev
messages: + msg197739
2013-09-05 12:47:12madison.maysetfiles: + calendar_print_v2.diff

messages: + msg196994
2013-09-04 19:09:05ezio.melottisetnosy: + ezio.melotti
stage: patch review

versions: + Python 2.7, Python 3.3
2013-08-27 19:25:08madison.maysetmessages: + msg196312
2013-08-27 19:19:21madison.maycreate